Resource

AI Agent User Owner

Add users as owners to your AI agents.

The AI Agent User Owner Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User that is the owner. This user will receive notifications.

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of your User in which this object belongs

  • Name
    aiAgent
    Type
    AI Agent
    Description

    Relation to AI Agent Resource in which this object belongs

  • Name
    aiAgentId
    Type
    Object IDRequired
    Description

    ID of your AI Agent in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/ai-agent-owner-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent User Owner. By default, a maximum of ten AI Agent User Owner are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent-owner-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgentId": true,
    "projectId": true,
    "userId": true,
    "aiAgent": true,
    "createdByUser": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376a17a0-28fe-11f1-b591-3fdcef396aba",
      "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
      "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    },
    {
      "_id": "376a17a1-28fe-11f1-b591-3fdcef396aba",
      "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
      "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    },
    {
      "_id": "376a17a2-28fe-11f1-b591-3fdcef396aba",
      "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
      "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
      "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
    }
  ]
}
GETorPOST/api/ai-agent-owner-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent User Owner by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent-owner-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgentId": true,
    "projectId": true,
    "userId": true,
    "aiAgent": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "376a17a0-28fe-11f1-b591-3fdcef396aba",
  "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
  "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
  "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
}
POST/api/ai-agent-owner-user/count

Count

This endpoint allows you to retrieve the count of all your AI Agent User Owner.

Optional Request Body

Count Request

POST
/api/ai-agent-owner-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/ai-agent-owner-user

Create AI Agent User Owner

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent-owner-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
    "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
    "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
  }
}

Response

{
  "_id": "376a17a0-28fe-11f1-b591-3fdcef396aba",
  "aiAgentId": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "userId": "e5f6a7b8-c9d0-1234-ef56-ab78cd901234",
  "aiAgent": "b2c3d4e5-f6a7-8901-bc23-de45fa678901",
  "createdByUser": "c3d4e5f6-a7b8-9012-cd34-ef56ab789012"
}
PUT/api/ai-agent-owner-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-owner-user/:id/update-item
GET/api/ai-agent-owner-user/:id/update-item

Update Request

PUT
/api/ai-agent-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/ai-agent-owner-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-owner-user/:id/delete-item
GET/api/ai-agent-owner-user/:id/delete-item

Delete Request

DELETE
/api/ai-agent-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent Owner User
  • Read All Project Resources

Create Permissions

Required to create AI Agent User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent Owner User

Update Permissions

Required to update AI Agent User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent Owner User

Delete Permissions

Required to delete AI Agent User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent Owner User